Package org.globus.gsi

# Class CertificateRevocationLists

java.lang.Object
org.globus.gsi.CertificateRevocationLists

public class CertificateRevocationLists extends Object
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static CertificateRevocationLists`
`getCertificateRevocationLists(String locations)`
Deprecated.
`X509CRL`
`getCrl(String issuerName)`
Deprecated.
`X509CRL[]`
`getCrls()`
Deprecated.
`Collection<X509CRL>`
`getCRLs(X509CRLSelector selector)`
Deprecated.
`static CertificateRevocationLists`
`getDefault()`
Deprecated.
`static CertificateRevocationLists`
`getDefaultCertificateRevocationLists()`
Deprecated.
`void`
`refresh()`
Deprecated.
`void`
`reload(String locations)`
Deprecated.
`static void`
`setDefaultCertificateRevocationList(CertificateRevocationLists crl)`
Deprecated.
`String`
`toString()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getCrls

public X509CRL[] getCrls()
Deprecated.

### getCRLs

public Collection<X509CRL> getCRLs(X509CRLSelector selector)
Deprecated.

### getCrl

public X509CRL getCrl(String issuerName)
Deprecated.

### refresh

public void refresh()
Deprecated.

### reload

public void reload(String locations)
Deprecated.

### getCertificateRevocationLists

public static CertificateRevocationLists getCertificateRevocationLists(String locations)
Deprecated.

### getDefaultCertificateRevocationLists

public static CertificateRevocationLists getDefaultCertificateRevocationLists()
Deprecated.

### setDefaultCertificateRevocationList

public static void setDefaultCertificateRevocationList(CertificateRevocationLists crl)
Deprecated.

### getDefault

public static CertificateRevocationLists getDefault()
Deprecated.

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`